Subject: bug#44760: Closure copy in ‘guix system init’ is inefficient

From: Ludovic Courtès <[email-masked]>
Date: Sun, 22 Nov 2020 22:10:16 +0100

Hi,

raingloom <[email-masked]> skribis:

> Also, if a store is already present (eg.: because of a partial
> install), it could make sense to (optionally) keep its contents. AFAIK
> this is still not possible. It was one the bigger time sinks while I
> was working on the F2FS support.

It’s on purpose that ‘guix system init’ forcefully wipes store items
already present before copying them; some time ago it was not the case
and that led to problems:

  https://issues.guix.gnu.org/20722

I think it’s safer to keep it unchanged.

Ludo’.